%define upstream_name    OAuth-Lite
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PLAINTEXT signature method class;
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/OAuth/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.310.0
BuildRequires: perl(Class::Data::Accessor) >= 0.40.10
BuildRequires: perl(Class::ErrorHandler) >= 0.10.0
BuildRequires: perl(Compress::Zlib) >= 2.1.0
BuildRequires: perl(Crypt::OpenSSL::RSA) >= 0.250.0
BuildRequires: perl(Crypt::OpenSSL::Random) >= 0.40.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(LWP)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require) >= 0.110.0
BuildRequires: perl(URI) >= 1.350.0
BuildArch:  noarch

%description
This framework allows you to make "OAuth Consumer Application" / "OAuth
Service Provider" easily.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# we can live with pod errors
rm -f t/99_pod.t
rm -f t/99_pod_coverage.t
# test fail since perl-5.27 (RT#125359):
rm -f t/03_signature_method_rsa_sha1.t
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.350.0-3.mga10
+ Revision: 2212174
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 1.350.0-2.mga9
+ Revision: 1831190
- Mageia 9 Mass Rebuild

* Mon Mar 29 2021 tv <tv> 1.350.0-1.mga9
+ Revision: 1711642
- Restore BR on perl(inc::Module::Install)
- update to 1.35

* Wed Feb 12 2020 umeabot <umeabot> 1.340.0-7.mga8
+ Revision: 1505905
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 tv <tv> 1.340.0-6.mga7
+ Revision: 1285544
- disable test that fails since perl-5.27 (RT#125359)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.340.0-5.mga7
+ Revision: 1166043
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.340.0-4.mga7
+ Revision: 1159260
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.340.0-3.mga6
+ Revision: 1031370
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.340.0-2.mga6
+ Revision: 967980
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.340.0-1.mga6
+ Revision: 851006
- update to 1.34

* Wed Oct 15 2014 umeabot <umeabot> 1.320.0-3.mga5
+ Revision: 747321
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.320.0-2.mga5
+ Revision: 685765
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 guillomovitch <guillomovitch> 1.320.0-1.mga5
+ Revision: 580814
- new version 1.32

* Fri Oct 18 2013 umeabot <umeabot> 1.310.0-3.mga4
+ Revision: 513738
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.310.0-2.mga3
+ Revision: 371031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 guillomovitch <guillomovitch> 1.310.0-1.mga3
+ Revision: 303614
- imported package perl-OAuth-Lite


* Mon Oct 08 2012 cpan2dist 1.31-1mga
- initial mageia release, generated with cpan2dist
